.responsive-layout-container{
    width:100%;
    height:300px;
    display:flex;
    flex-direction:row;
  }
   .content-a{
    background-color: rgb(161, 253, 55);;
    height:300px;
    width:50%;
    order:1;
  }
  .content-b{
    background-color: rgb(0, 128, 0);
    height:300px;
    width:25%;
    order:0;
  }
  .content-c{
    background-color: rgb(255, 209, 82);;
    width:25%;
    height:300px;
    order:3;
  }
  .header {
    background-color: rgb(161, 161, 161);
    width: 100%;
    height: 60px;
  }
  @media(max-width:650px){
    .responsive-layout-container{
      
        display:grid;
        grid-template-columns: 50% 25% 25%;
        grid-template-rows:200px 50px 50px;
      }
       .content-a{
        height:200px;
        width:100%;
       order:0;
       grid-column:1/4;
       grid-row:1/2;
      }
      .content-b{
        height:100px;
        width:100%;
        order:1;
        grid-row:2/3;
      }
      .content-c{
        width:200%;
        height:100px;
        order:2;
        grid-row:2/4;
      }
      .header {
        height: 30px;
      }
  }
  @media(max-width:400px) {
    .responsive-layout-container{
         display: flex;
        flex-direction:column;
      }
       .content-a{
        height:200px;
        order:0;
      }
      .content-b{
        height:100px;
        width:100%;
        order:1;
      }
      .content-c{
        width:100%;
        height:100px;
        order:2;
      }
      .header {
        height: 30px;
      }
  }